Subject: Re: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 May 2012 19:02:56 +0300

> Date: Wed, 02 May 2012 11:40:03 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > The function to look at is gdb-reset.
>  > (gdb-delete-frame-or-window is just what causes GDB to quit, but when
>  > it actually does, the comint process sentinel kicks in and calls
>  > gdb-reset.)  But for gdb-reset to do what Sam wants, gdb-setup-windows
>  > should record the configuration of windows before it sets up the GDB
>  > windows, otherwise we will have no information about the previous
>  > window configuration.
> 
> I fail to understand you.  The window configuration *is* handled by
> `gdb-delete-frame-or-window'.  What should `gdb-reset' do about it and
> when?  IIUC Sam wants `gdb-delete-frame-or-window' restore a previous
> configuration.

It is IMO wrong to do what Sam wants in gdb-delete-frame-or-window.
That's because the restoration of the window configuration should be
done when GDB actually exits, not when the user _tells_ GDB to exit.
The function which handles the exit event is gdb-reset.